Bug 825242 - alter domian got failure when jenkins slave build exist on instance
alter domian got failure when jenkins slave build exist on instance
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 08:36 EDT by Meng Bo
Modified: 2015-05-14 21:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 13:58:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-05-25 08:36:20 EDT
Description of problem:
create app with jenkins enabled, make some change and push build,
after push, try to alter domain will get failure.

Version-Release number of selected component (if applicable):
cartridge-jenkins-1.4-0.93.4-1.el6_2.noarch
cartridge-jenkins-client-1.4-0.27.2-1.el6_2.noarch
devenv_1802

How reproducible:
always

Steps to Reproduce:
1.create app with jenkins enabled
2.make changes and push build
3.try to alter domain 
  
Actual results:
alter domain will get failed with following error:
Error updating apps: ["php1bldr"].  Updates will not be completed until all apps can be updated successfully.  If the problem persists please contact support.

Expected results:
domain should be altered successfully.

Additional info:
log from server:

Updating namespace to bmengdev1 for app: php1bldr
DEBUG: DYNECT delete with path: /REST/CNAMERecord/rhcloud.com/php1bldr-bmengdev.dev.rhcloud.com/ and headers: {"Auth-Token"=>"zxKRPF4hS0Fq/fejlyR9Eqs3vmSZmZ1zfsEIcovbsWS2m5TyJa9u6Y9/tKyGWZplIGfyF0l56YiZa0ZeaEU7shRmakmvngAuZYBSYJTm8Txf5P7R6q9OSp+8oIC5iXgDXuAUrcbCC8PSgvinv+UeLN71l/4YUx4W", "Content-Type"=>"application/json"}
DEBUG: DYNECT Response: {"status": "success", "data": {}, "job_id": 105495091, "msgs": [{"INFO": "delete: 1 records deleted", "SOURCE": "API-B", "ERR_CD": null, "LVL": "INFO"}]}
DEBUG: DYNECT Response data: 
DEBUG: Public ip being configured 'ec2-23-22-22-112.compute-1.amazonaws.com' to app 'php1bldr'
DEBUG: DYNECT put/post with path: /REST/CNAMERecord/rhcloud.com/php1bldr-bmengdev1.dev.rhcloud.com/ json data: {"rdata":{"cname":"ec2-23-22-22-112.compute-1.amazonaws.com"},"ttl":"60"} and headers: {"Auth-Token"=>"zxKRPF4hS0Fq/fejlyR9Eqs3vmSZmZ1zfsEIcovbsWS2m5TyJa9u6Y9/tKyGWZplIGfyF0l56YiZa0ZeaEU7shRmakmvngAuZYBSYJTm8Txf5P7R6q9OSp+8oIC5iXgDXuAUrcbCC8PSgvinv+UeLN71l/4YUx4W", "Content-Type"=>"application/json"}
DEBUG: Response code: 400
DEBUG: Response body: {"status": "failure", "data": {}, "job_id": 105495097, "msgs": [{"INFO": "make: Cannot add a CNAME at a node with data", "SOURCE": "DYN", "ERR_CD": "ILLEGAL_OPERATION", "LVL": "ERROR"}, {"INFO": "add: Record not added", "SOURCE": "BLL", "ERR_CD": null, "LVL": "INFO"}]}
DEBUG: Retrying dyn_put_post after exception caught from DNS request: Error communicating with DNS system.  If the problem persists please contact Red Hat support.
DEBUG: DYNECT put/post with path: /REST/CNAMERecord/rhcloud.com/php1bldr-bmengdev1.dev.rhcloud.com/ json data: {"rdata":{"cname":"ec2-23-22-22-112.compute-1.amazonaws.com"},"ttl":"60"} and headers: {"Auth-Token"=>"zxKRPF4hS0Fq/fejlyR9Eqs3vmSZmZ1zfsEIcovbsWS2m5TyJa9u6Y9/tKyGWZplIGfyF0l56YiZa0ZeaEU7shRmakmvngAuZYBSYJTm8Txf5P7R6q9OSp+8oIC5iXgDXuAUrcbCC8PSgvinv+UeLN71l/4YUx4W", "Content-Type"=>"application/json"}
DEBUG: Response code: 400
DEBUG: Response body: {"status": "failure", "data": {}, "job_id": 105495102, "msgs": [{"INFO": "make: Cannot add a CNAME at a node with data", "SOURCE": "DYN", "ERR_CD": "ILLEGAL_OPERATION", "LVL": "ERROR"}, {"INFO": "add: Record not added", "SOURCE": "BLL", "ERR_CD": null, "LVL": "INFO"}]}
DEBUG: Retrying dyn_put_post after exception caught from DNS request: Error communicating with DNS system.  If the problem persists please contact Red Hat support.
DEBUG: DYNECT put/post with path: /REST/CNAMERecord/rhcloud.com/php1bldr-bmengdev1.dev.rhcloud.com/ json data: {"rdata":{"cname":"ec2-23-22-22-112.compute-1.amazonaws.com"},"ttl":"60"} and headers: {"Auth-Token"=>"zxKRPF4hS0Fq/fejlyR9Eqs3vmSZmZ1zfsEIcovbsWS2m5TyJa9u6Y9/tKyGWZplIGfyF0l56YiZa0ZeaEU7shRmakmvngAuZYBSYJTm8Txf5P7R6q9OSp+8oIC5iXgDXuAUrcbCC8PSgvinv+UeLN71l/4YUx4W", "Content-Type"=>"application/json"}
DEBUG: Response code: 400
DEBUG: Response body: {"status": "failure", "data": {}, "job_id": 105495107, "msgs": [{"INFO": "make: Cannot add a CNAME at a node with data", "SOURCE": "DYN", "ERR_CD": "ILLEGAL_OPERATION", "LVL": "ERROR"}, {"INFO": "add: Record not added", "SOURCE": "BLL", "ERR_CD": null, "LVL": "INFO"}]}
Exception caught updating namespace Error communicating with DNS system.  If the problem persists please contact Red Hat support.
DEBUG: Exception caught updating namespace Error communicating with DNS system.  If the problem persists please contact Red Hat support.
Comment 1 Abhishek Gupta 2012-05-29 18:37:53 EDT
I can't seem to be able to reproduce this issue. 

When I try to alter the domain immediately after doing a git commit/push, the domain alter succeeds but the build fails as the git clone and other steps are still referring to the old domain name in the URL.

If I wait for the build to complete (either successfully or on failure), with the builder app/gear still around, the domain alter goes through smoothly.

If you can reproduce this issue, please catch hold of me on IRC. I will probably try to debug this issue on your instance itself.
Comment 2 Meng Bo 2012-05-30 06:59:14 EDT
tried on devenv_1808, issue cannot be reproduced.
mark bug as verified...

Note You need to log in before you can comment on or make changes to this bug.